package com.example.zadaniekwiaciarnia;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.Button;
import android.widget.TextView;

public class WiazankiLayout extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.wiazanki_layout);

        Button buttonStronaGlowna = findViewById(R.id.buttonStronaGlowna);

        TextView bukietRoz = findViewById(R.id.bukietRoz);
        TextView bukietTulipan = findViewById(R.id.bukietTulipan);
        TextView bukietWiosenny = findViewById(R.id.bukietWiosenny);
        TextView bukietMieszany = findViewById(R.id.bukietMieszany);

        bukietRoz.setOnClickListener(view -> {doWyceny();});
        bukietTulipan.setOnClickListener(view -> {doWyceny();});
        bukietMieszany.setOnClickListener(view -> {doWyceny();});
        bukietWiosenny.setOnClickListener(view -> {doWyceny();});

        buttonStronaGlowna.setOnClickListener( v -> {
            Intent intent = new Intent(WiazankiLayout.this, MainActivity.class);
            startActivity(intent);
        });

    }

    void doWyceny() {
        Intent intent = new Intent(WiazankiLayout.this, WyborLayout.class);
        startActivity(intent);
    }
}
